=== debian/changelog ===
ros-bouncy-py-trees (0.8.2-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 19 Oct 2018 23:43:45 -0000

ros-bouncy-py-trees (0.8.0-0bionic) bionic; urgency=high

  * [infra] shortcuts to types in __init__.py removed (PR117 <https://github.com/stonier/py_trees/pull/117>)
  * [bugfix] python3 rosdeps
  * [idioms] pick_up_where_you_left_off added

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 18 Oct 2018 04:00:00 -0000

ros-bouncy-py-trees (0.7.5-0bionic) bionic; urgency=high

  * [idioms] oneshot added
  * [bugfix] properly set/reset parents when replacing/removing children in composites

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 10 Oct 2018 04:00:00 -0000

ros-bouncy-py-trees (0.7.0-0bionic) bionic; urgency=high

  * [announce] python3 only support from this point forward
  * [announce] now compatible for ros2 projects

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Sep 2018 04:00:00 -0000

ros-bouncy-py-trees (0.6.5-0bionic) bionic; urgency=high

  * [bugfix] pick up missing feedback messages in inverters
  * [bugfix] eliminate costly/spammy blackboard variable check feedback message

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Sep 2018 04:00:00 -0000

ros-bouncy-py-trees (0.6.4-0bionic) bionic; urgency=high

  * [bugfix] replace awkward newlines with spaces in ascii trees

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Sep 2018 04:00:00 -0000

ros-bouncy-py-trees (0.6.3-0bionic) bionic; urgency=high

  * [bugfix] don't send the parellel's status to running children, invalidate them instead

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 04 Sep 2018 04:00:00 -0000

ros-bouncy-py-trees (0.6.2-0bionic) bionic; urgency=high

  * [bugfix] oneshot now reacts to priority interrupts correctly

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 31 Aug 2018 04:00:00 -0000

ros-bouncy-py-trees (0.6.1-0bionic) bionic; urgency=high

  * [bugfix] oneshot no longer permanently modifies the original class

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 20 Aug 2018 04:00:00 -0000

ros-bouncy-py-trees (0.6.0-0bionic) bionic; urgency=high

  * [infra] python 2/3 compatibility

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 May 2018 04:00:00 -0000

ros-bouncy-py-trees (0.5.10-0bionic) bionic; urgency=high

  * [meta] add children monkeypatching for composite imposters
  * [blackboard] check for nested variables in WaitForBlackboard

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 17 Jun 2017 04:00:00 -0000

ros-bouncy-py-trees (0.5.9-0bionic) bionic; urgency=high

  * [docs] bugfix image links and rewrite the motivation

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 25 Mar 2017 04:00:00 -0000

ros-bouncy-py-trees (0.5.8-0bionic) bionic; urgency=high

  * [infra] setup.py tests_require, not test_require

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-bouncy-py-trees (0.5.7-0bionic) bionic; urgency=high

  * [infra] update maintainer email

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-bouncy-py-trees (0.5.5-0bionic) bionic; urgency=high

  * [docs] many minor doc updates
  * [meta] bugfix so that imposter now ticks over composite children
  * [trees] method for getting the tip of the tree
  * [programs] py-trees-render program added

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-bouncy-py-trees (0.5.4-0bionic) bionic; urgency=high

  * [infra] handle pypi/catkin conflicts with install_requires

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 22 Feb 2017 05:00:00 -0000

ros-bouncy-py-trees (0.5.2-0bionic) bionic; urgency=high

  * [docs] disable colour when building
  * [docs] sidebar headings
  * [docs] dont require project installation

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 22 Feb 2017 05:00:00 -0000

ros-bouncy-py-trees (0.5.1-0bionic) bionic; urgency=high

  * [infra] pypi package enabled

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Feb 2017 05:00:00 -0000

ros-bouncy-py-trees (0.5.0-0bionic) bionic; urgency=high

  * [ros] components moved to py_trees_ros
  * [timeout] bugfix to ensure timeout decorator initialises properly
  * [docs] rolled over with napolean style
  * [docs] sphinx documentation updated
  * [imposter] make sure tip() drills down into composites
  * [demos] re-organised into modules

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Feb 2017 05:00:00 -0000

ros-bouncy-py-trees (0.4.0-0bionic) bionic; urgency=high

  * [trees] add pre/post handlers after setup, just in case setup fails
  * [introspection] do parent lookups so you can crawl back up a tree
  * [blackboard] permit init of subscriber2blackboard behaviours
  * [blackboard] watchers
  * [timers] better feedback messages
  * [imposter] ensure stop() directly calls the composited behaviour

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 13 Jan 2017 05:00:00 -0000

ros-bouncy-py-trees (0.3.0-0bionic) bionic; urgency=high

  * ``failure_is_running decorator`` (meta).

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 25 Aug 2016 04:00:00 -0000

ros-bouncy-py-trees (0.2.0-0bionic) bionic; urgency=high

  * do terminate properly amongst relevant classes
  * blackboxes
  * chooser variant of selectors
  * bugfix the decorators
  * blackboard updates on change only
  * improved dot graph creation
  * many bugfixes to composites
  * subscriber behaviours
  * timer behaviours

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-bouncy-py-trees (0.1.2-0bionic) bionic; urgency=high

  * one shot sequences
  * abort() renamed more appropriately to stop()

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 16 Nov 2015 05:00:00 -0000

ros-bouncy-py-trees (0.1.1-0bionic) bionic; urgency=high

  * lots of bugfixing stabilising py_trees for the spain field test
  * complement decorator for behaviours
  * dot tree views
  * ascii tree and tick views

