=== debian/control ===
Source: ros-bouncy-py-trees
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-nose, python3-nose-yanc, python3-setuptools, ros-bouncy-ros-workspace, python3-all, python3-setuptools
Homepage: http://py-trees.readthedocs.io
Standards-Version: 3.9.2

Package: ros-bouncy-py-trees
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-pydot, ros-bouncy-ros-workspace
Description: Pythonic implementation of behaviour trees.
